V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
ttgo
V2EX  ›  iOS

越狱后装了阻止系统升级的插件,不越狱状态下也无法升级了。

  •  
  •   ttgo · 172 天前 via iPhone · 1465 次点击
    这是一个创建于 172 天前的主题,其中的信息可能已经有所发展或是发生改变。
    我媳妇儿的 iPhone ,在很古老的时代,越狱后装过一个阻止系统升级的插件(年代太久了,插件名字都忘了)。
    后来即使不越狱了,也无法升级了。。她死活不让重制系统。所以每次都是系统老的都装不了 app 了,她会把全部东西备份到电脑,然后重制→升级手机→恢复备份。
    但是新系统仍然无法升级。换手机时恢复备份也不能升级,一种用到现在。。

    在不重制手机的情况下,能否解决这个问题?。。
    13 条回复    2023-12-02 22:16:02 +08:00
    RiverMud
        1
    RiverMud  
       172 天前
    不重置手机应该不能解决,用下面这种方法重置一下我觉得应该可以一劳永逸:

    备份到电脑(保资料),备份到 iCloud ( 21 天临时备份不受 5G 容量限制),然后重置——升级——从 iCloud 恢复备份。

    可以试一下,前几年 iPhone 降级出现问题一般都是这么解决,如果你已经试过这个方法并且当我没说。
    ttgo
        2
    ttgo  
    OP
       172 天前 via iPhone
    @RiverMud iCloud 备份然后恢复也试过了🥲
    RiverMud
        3
    RiverMud  
       172 天前
    用 iTunes 升级一次试试呢?
    RiverMud
        4
    RiverMud  
       172 天前
    我傻了,这个你肯定也试过了。
    maemolee
        5
    maemolee  
       172 天前
    嗨,我有个 iPhone 7 ,也是遇到了相同的问题,后来越狱失效了,但是升级也不管用了。蹲一个好的解决方案。
    0TSH60F7J2rVkg8t
        6
    0TSH60F7J2rVkg8t  
       172 天前
    我记得以前防止升级的功能是通过描述文件实现的,但我现在手机没有装过描述文件,设置里没有选项。楼主可以尝试一下,找找设置-通用-vpn 和设备管理-描述文件(可能是在这个位置,如果不在,搜索找找看),然后找到里面的描述文件,全部删除,重启手机再试试是否可以更新了。
    pmgh10
        7
    pmgh10  
       172 天前 via iPhone
    直接爱思助手 dfu 保资料升级就好了。
    Regened
        8
    Regened  
       171 天前
    怎么叫无法升级,用 iTunes 接上手机检查更新升级不了?报错信息是什么?

    如果只是系统设置里不会提示更新,我猜插件可能动过 host 屏蔽了 Apple 更新服务器,但我不确定 host 文件会不会一直跟随备份到新手机上,也许试试重置网络设置?
    maemolee
        9
    maemolee  
       171 天前
    @Regened 是指 iOS 设置 app-软件更新里面,无法检测到新 iOS 版本,或者是无法通过这里下载安装新版本。

    通过 itunes 倒是无所谓,可以直接刷固件更新。
    Regened
        10
    Regened  
       170 天前
    @maemolee 看你现在机型在什么版本了,如果还在可越狱的版本进 Filza 看一下 host ,在/etc 目录下面
    如果现在设备不能越狱,因为备份不能恢复到更低系统,目前最高 iOS16.0-16.6b1 的 8/8P/X 可以越狱,如果你还在 16.6 以下的话可以找设备看看
    maemolee
        11
    maemolee  
       170 天前
    @Regened #10 是不是说,需要重新进行一次越狱,然后到系统内部把这个干扰更新的机制取消掉呀?
    charli
        12
    charli  
       169 天前
    有个越狱插件叫做 OTAEnabler ,GitHub 上有,安装私下能解决不。
    我用 un 越狱也是同样的问题,装这个插件就能升级了,最近准备延迟更新到 17.0 。
    charli
        13
    charli  
       169 天前
    @charli 打错了,是“试下”
    关于   ·   帮助文档   ·   博客   ·   API   ·   FAQ   ·   实用小工具   ·   5117 人在线   最高记录 6679   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 27ms · UTC 08:44 · PVG 16:44 · LAX 01:44 · JFK 04:44
    Developed with CodeLauncher
    ♥ Do have faith in what you're doing.